{% sw_extends '@Storefront/storefront/page/product-detail/cross-selling/tabs.html.twig' %}

{% block page_product_detail_cross_selling_tabs_inner %}
    <div data-cross-selling="true">
        {% for item in crossSellings %}
            {% set id = item.crossSelling.id %}

            {% if item.crossSelling.active and item.getProducts().elements %}
                <div class="product-detail-cross-selling-row">
                    {% block page_product_detail_cross_selling_headline %}
                        <h3 class="product-cross-selling-headline">{{ item.crossSelling.translated.name }}</h3>
                    {% endblock %}
    
                    {% block page_product_detail_cross_selling_content %}
                        <div class="product-cross-selling-content">
                            {% set config = {
                                'title': {
                                    'value': item.crossSelling.name
                                },
                                'border': {
                                    'value': false
                                },
                                'rotate': {
                                    'value': false
                                },
                                'products': {
                                    'value': item.getProducts()
                                },
                                'boxLayout': {
                                    'value': 'minimal'
                                },
                                'elMinWidth': {
                                    'value': '250px'
                                },
                                'navigation': {
                                    'value': true
                                },
                                'displayMode': {
                                    'value': 'minimal'
                                },
                                'verticalAlign': {
                                    'value': 'top'
                                },
                            } %}
    
                            {% sw_include "@Storefront/storefront/element/cms-element-product-slider.html.twig" with {
                                sliderConfig: config,
                                element: {
                                    'data': {
                                        'products': {
                                            elements: item.getProducts()
                                        }
                                    },
                                    type: 'product-slider'
                                }
                            } only %}
                        </div>
                    {% endblock %}
                </div>
            {% endif %}
        {% endfor %}
    </div>
{% endblock %}
